# mongoc_topology_description_t

Status of MongoDB Servers

## Synopsis

    typedef struct _mongoc_topology_description_t mongoc_topology_description_t;

`mongoc_topology_description_t` is an opaque type representing the driver’s knowledge of the MongoDB server or servers it is connected to. Its API conforms to the SDAM Monitoring Specification.

Applications receive a temporary reference to a `mongoc_topology_description_t` as a parameter to an SDAM Monitoring callback that must not be destroyed. See Introduction to Application Performance Monitoring.

## Functions

- mongoc_topology_description_destroy()
- mongoc_topology_description_get_servers()
- mongoc_topology_description_has_readable_server()
- mongoc_topology_description_has_writable_server()
- mongoc_topology_description_new_copy()
- mongoc_topology_description_type()